# Created by pyp2rpm-3.3.3
%global pypi_name gcs-oauth2-boto-plugin

# Disable tests which require a network connection
%bcond_with tests

Name:           python-%{pypi_name}
Version:        3.0
Release:        %mkrel 4
Summary:        Auth plugin allowing use the use of OAuth 2.0 credentials for Google Cloud Storage in the Boto library
Group:          Development/Python
License:        Apache 2.0
URL:            https://developers.google.com/storage/docs/gspythonlibrary
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         plugin-3.0-requirement.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(boto) >= 2.29.1
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(google-reauth) >= 0.1
BuildRequires:  python3dist(httplib2) >= 0.8
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(oauth2client) >= 2.2.0
BuildRequires:  python3dist(pyopenssl) >= 0.13
BuildRequires:  python3dist(retry-decorator) >= 1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.12.0
BuildRequires:  python3dist(socksipy-branch) >= 1.01
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)

%description
Python application whose purpose is to behave as an auth plugin for the boto
auth plugin framework for use with OAuth 2.0 credentials for the Google Cloud
Platform. This plugin is compatible with both user accounts and service
accounts, and its functionality is essentially a wrapper around oauth2client
with the addition of automatically caching tokens for the machine in a thread-
and process-safe fashion.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python application whose purpose is to behave as an auth plugin for the boto
auth plugin framework for use with OAuth 2.0 credentials for the Google Cloud
Platform. This plugin is compatible with both user accounts and service
accounts, and its functionality is essentially a wrapper around oauth2client
with the addition of automatically caching tokens for the machine in a thread-
and process-safe fashion.

%prep
%autosetup -n %{pypi_name}-%{version}


# Loosen reqs
sed -i -e 's,SocksiPy-branch==,SocksiPy-branch>=,' setup.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gcs_oauth2_boto_plugin

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Thu Nov 24 2022 papoteur <papoteur> 3.0-4.mga9
+ Revision: 1910856
- fix requirements - port to pyproject macros

* Fri Jun 24 2022 papoteur <papoteur> 3.0-3.mga9
+ Revision: 1865867
- Mass Rebuild for dependencies

* Fri Apr 01 2022 umeabot <umeabot> 3.0-2.mga9
+ Revision: 1839598
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 3.0-1.mga9
+ Revision: 1784490
- BR python3dist(wheel)
- version 3.0
- BR python3dist(pip)
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.5-4.mga9
+ Revision: 1733947
- rely on generated deps
- Rebuild for python 3.9
+ tmb <tmb>
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 2.5-2.mga8
+ Revision: 1541122
- Mageia 8 Mass Rebuild

* Fri Dec 20 2019 wally <wally> 2.5-1.mga8
+ Revision: 1469143
- imported package python-gcs-oauth2-boto-plugin

